org.apache.ignite.internal.management.api

## Interface ComputeCommand<A extends IgniteDataTransferObject,R>

All Superinterfaces:
  Command<A,R>

All Known Implementing Classes:
  AbstractBaselineCommand, AbstractSnapshotCommand, AbstractTracingConfigurationCommand, BaselineAddCommand, BaselineAutoAdjustCommand, BaselineCommand, BaselineRemoveCommand, BaselineSetCommand, BaselineVersionCommand, CacheCheckIndexInlineSizesCommand, CacheClearCommand, CacheContentionCommand, CacheCreateCommand, CacheDestroyCommand, CacheDistributionCommand, CacheFindGarbageCommand, CacheIdleVerifyCommand, CacheIdleVerifyDumpCommand, CacheIndexesForceRebuildCommand, CacheIndexesListCommand, CacheIndexesRebuildStatusCommand, CacheMetricsCommand, CacheResetLostPartitionsCommand, CacheScanCommand, CacheScheduleIndexesRebuildCommand, CacheValidateIndexesCommand, CdcDeleteLostSegmentLinksCommand, CdcResendCommand, ChangeTagCommand, ConsistencyFinalizeCommand, ConsistencyStatusCommand, DefragmentationCancelCommand, DefragmentationScheduleCommand, DefragmentationStatusCommand, DiagnosticConnectivityCommand, DiagnosticPagelocksCommand, EncryptionCacheKeyIdsCommand, EncryptionChangeCacheKeyCommand, EncryptionChangeMasterKeyCommand, EncryptionGetMasterKeyNameCommand, EncryptionReencryptionRateLimitCommand, EncryptionReencryptionStatusCommand, EncryptionResumeReencryptionCommand, EncryptionSuspendReencryptionCommand, KillClientCommand, KillComputeCommand, KillConsistencyCommand, KillContinuousCommand, KillScanCommand, KillServiceCommand, KillSnapshotCommand, KillSqlCommand, KillTransactionCommand, MetaDetailsCommand, MetaListCommand, MetaRemoveCommand, MetaUpdateCommand, MetricCommand, MetricConfigureHistogramCommand, MetricConfigureHitrateCommand, PerformanceStatisticsRotateCommand, PerformanceStatisticsStartCommand, PerformanceStatisticsStatusCommand, PerformanceStatisticsStopCommand, PersistenceAbstractCommand, PersistenceBackupAllCommand, PersistenceBackupCachesCommand, PersistenceBackupCorruptedCommand, PersistenceCleanAllCommand, PersistenceCleanCachesCommand, PersistenceCleanCorruptedCommand, PersistenceCommand, PersistenceInfoCommand, PropertyGetCommand, PropertyListCommand, PropertySetCommand, ShutdownPolicyCommand, SnapshotCancelCommand, SnapshotCheckCommand, SnapshotCreateCommand, SnapshotRestoreCommand, SnapshotStatusCommand, SystemViewCommand, TracingConfigurationCommand, TracingConfigurationGetAllCommand, TracingConfigurationGetCommand, TracingConfigurationResetAllCommand, TracingConfigurationResetCommand, TracingConfigurationSetCommand, TxCommand, WalDeleteCommand, WalPrintCommand

    public interface ComputeCommand<A extends IgniteDataTransferObject,R>
    extends Command<A,R>

Command that executed with some compute task.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default @Nullable Collection<GridClientNode>` `nodes(Collection<GridClientNode> nodes, A arg)`
`default void` `printResult(A arg, R res, Consumer<String> printer)` Prints command result to the user.
`Class<? extends ComputeTask<VisorTaskArgument<A>,R>>` `taskClass()`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Method Detail

#### taskClass

    Class<? extends ComputeTask<VisorTaskArgument<A>,R>> taskClass()

Returns:
  Task class.

#### printResult

    default void printResult(A arg,
                             R res,
                             Consumer<String> printer)

Prints command result to the user.

Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

#### nodes

    @Nullable
    default @Nullable Collection<GridClientNode> nodes(Collection<GridClientNode> nodes,
                                                                 A arg)

Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023